
ctools - Action #3149

Check if cslightcrv and csphasecrv enable the user to set the exclusion regions through the Python

API

01/24/2020 03:13 PM - Tibaldo Luigi

Status: Closed Start date: 01/24/2020

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

The method exclusion_map sets the variable self._excl_reg_map, but then the OnOff observations are generated using

obsutils.get_onoff_obs, which sets the exclusion region from cls['inexclusion'].value().

History

#1 - 01/28/2020 10:09 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 01/28/2020 10:43 AM - Tibaldo Luigi

- Status changed from New to Resolved

- % Done changed from 0 to 100

The exclusion map is in fact set after filling the user parameter dictionary if the 'exclusion_map' method is present in the parent class.

#3 - 02/07/2020 04:51 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
